_getBalancesByAddressAndDenom

Queries the balance of a single coin for a single account.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters

Path

  • address: STRING - The address to query balances for.
  • denom: STRING - The coin denom to query balances for.
curl "https://cosmos-mainnet-archive.allthatnode.com:1317/cosmos/bank/v1beta1/balances/cosmos1p3ucd3ptpw902fluyjzhq3ffgq4ntddac9sa3s/uatom" \
-H 'x-allthatnode-api-key: 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj'

Returns

  • OBJECT - The specified balance information by address and denom.
{
  "balance": {
    "denom": "string",
    "amount": "string"
  }
}

Try Yourself

Path Params
string
required
Defaults to cosmos1p3ucd3ptpw902fluyjzhq3ffgq4ntddac9sa3s

address is the address to query balances for.

string
required
Defaults to uatom

denom is the coin denom to query balances for.

Headers
string
required
Defaults to 8U3JLUhzIDg3GShvy9hkCCSYkLGc11kj

All That Node API key

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!